Announcement Announcement Module
Collapse
No announcement yet.
In STS -webapp with camel deploying to virgo: Two classes have the same XML type name Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • In STS -webapp with camel deploying to virgo: Two classes have the same XML type name

    Hello everybody

    I have a webapp bundle with dependencies to apache camel. I also use a Virgo web server as the osgi environment. When I deploy the webapp bundle inside STS, I got the following error (the error repeats for many different XML types):

    Code:
    Two classes have the same XML type name "{http://camel.apache.org/schema/spring}bindyType". Use @XmlType.name and @XmlType.namespace to assign different names to them.
            this problem is related to the following location:
                    at org.apache.camel.model.dataformat.BindyType
                    at private org.apache.camel.model.dataformat.BindyType org.apache.camel.model.dataformat.BindyDataFormat.type
                    at org.apache.camel.model.dataformat.BindyDataFormat
                    at private java.util.List org.apache.camel.model.dataformat.DataFormatsDefinition.dataFormats
                    at org.apache.camel.model.dataformat.DataFormatsDefinition
                    at private org.apache.camel.model.dataformat.DataFormatsDefinition org.apache.camel.spring.CamelContextFactoryBean.dataFormats
                    at org.apache.camel.spring.CamelContextFactoryBean
            this problem is related to the following location:
                    at org.apache.camel.model.dataformat.BindyType
                    at private org.apache.camel.model.dataformat.BindyType org.apache.camel.model.dataformat.BindyDataFormat.type
                    at org.apache.camel.model.dataformat.BindyDataFormat
    However, the error doesn't occur when the webapp bundle is getting installed over the virgo's pickup directory outside STS.

    Am I missing something? Maybe there is a launcher option causing this error?

    Here's my setup in detail:

    STS:
    Version: 2.6.0.RELEASE
    Build Id: 201103161000
    Also tested with 2.7.0.M01 and 2.7.0.M02

    Virgo:
    Version: virgo-tomcat-server-3.0.0.M03

    Apache Camel config:
    Code:
    <beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xsi:schemaLocation="http://www.springframework.org/schema/beans
    		http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    		http://camel.apache.org/schema/spring
    		http://camel.apache.org/schema/spring/camel-spring.xsd">
    
    	<camelContext xmlns="http://camel.apache.org/schema/spring">
    		<template id="producerTemplate"/>
    	</camelContext>
    
    	<bean id="jms" class="org.apache.activemq.camel.component.ActiveMQComponent">
    		<property name="brokerURL" value="tcp://localhost:61616" />
    	</bean>
    
    </beans>
    Apache Camel
    Version: 2.7.0
    Bundles:
    org.apache.camel.camel-jms;version="[2.7.0,2.8.0)"
    org.apache.camel.spring;version="[2.7.0,2.8.0)"

    Apache ActiveMQ
    Version: 5.5.0
    org.apache.activemq.activemq-core;version="[5.5.0,5.6.0)",
    org.apache.activemq.activemq-camel;version="[5.5.0,5.6.0)",

    Apache XBean
    Version: 3.7.0
    org.apache.xbean.spring;version="[3.7.0,3.8.0)",

    Spring framework
    Version: 3.0.5.RELEASE
    Bundles:
    org.springframework.security.*;version="[3.0.4.RELEASE,3.0.4.RELEASE]",
    org.springframework.*;version="[3.0, 3.1)",
    org.springframework.spring;version="[3.0, 3.1)"
    org.springframework.security.core;version="[3.0.4.RELEASE,3.0.4.RELEASE]",
    org.springframework.security.web;version="[3.0.4.RELEASE,3.0.4.RELEASE]",
    org.springframework.security.config;version="[3.0.4.RELEASE,3.0.4.RELEASE]",
    org.springframework.security.taglibs;version="[3.0.4.RELEASE,3.0.4.RELEASE]",

    Cheers,
    Marco
Working...
X